%global bundle  org.apache.felix.scr
Name:                felix-scr
Version:             2.1.16
Release:             1
Summary:             Apache Felix Service Component Runtime (SCR)
License:             ASL 2.0
URL:                 https://github.com/apache/felix-dev/tree/master/scr
Source0:             http://archive.apache.org/dist/felix/org.apache.felix.scr-%{version}-source-release.tar.gz
Patch0:              0001-Use-import-package-instead-of-embedding-dependencies.patch
BuildRequires:       maven-local mvn(net.sf.kxml:kxml2) mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.felix:org.apache.felix.gogo.runtime)
BuildRequires:       mvn(org.osgi:osgi.annotation) mvn(org.osgi:osgi.cmpn) >= 7.0.0
BuildRequires:       mvn(org.osgi:osgi.core) >= 7.0.0 mvn(xpp3:xpp3)
BuildArch:           noarch

%description
Implementation of the OSGi Declarative Services Specification Version 1.3 (R6).

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p1
%pom_add_dep org.osgi:osgi.cmpn:7.0.0:provided
%pom_remove_dep org.osgi:org.osgi.service.component
%pom_remove_dep org.osgi:org.osgi.service.cm
%pom_remove_dep org.osgi:org.osgi.service.log
%pom_remove_dep org.osgi:org.osgi.service.metatype
%pom_remove_dep org.osgi:org.osgi.namespace.extender
%pom_remove_dep org.osgi:org.osgi.util.promise
%pom_remove_dep org.osgi:org.osgi.util.function
%pom_xpath_remove "pom:project/pom:dependencies/pom:dependency[pom:scope='test']"
%pom_remove_dep org.ops4j.base:
%pom_remove_plugin :maven-failsafe-plugin
%pom_remove_dep :animal-sniffer-annotations
sed -i -e '/IgnoreJRERequirement/d' src/main/java/org/apache/felix/scr/impl/manager/ThreadDump.java
%pom_add_dep xpp3:xpp3:1.1.4c:compile
%pom_change_dep net.sf.kxml:kxml2 net.sf.kxml:kxml2:2.2.2:compile
%mvn_file : felix/%{bundle}

%build
%mvn_build -f -- -Dfelix.java.version=7

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Wed Aug 12 2020 leiju <leiju4@huawei.com> - 2.1.16-1
- Package init
